Bug 1768147 - Zstd library missing in RHEL 8 RPM
Summary: Zstd library missing in RHEL 8 RPM
Keywords:
Status: CLOSED DUPLICATE of bug 1715799
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rpm
Version: 8.1
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-03 01:02 UTC by Nico Kadel-Garcia
Modified: 2019-11-04 09:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 09:38:09 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1715799 'medium' 'ON_QA' 'Re-enable zstd compression support in RHEL-8 rpm' 2019-12-02 14:04:26 UTC

Description Nico Kadel-Garcia 2019-11-03 01:02:00 UTC
Description of problem:

RPM on RHEL 8 lacks zstd

Version-Release number of selected component (if applicable):

rpm-4.14.2-10.el8_0.x86_64

How reproducible:

Download Fedora 31 SRPM. Run "rpm2cpio package.src.rpm"

Steps to Reproduce:
1.
2.
3.

Actual results:

Lack of zstd feature prevents extraction of SRPM

Expected results:

Successful local extraction of SRPM contents.

Additional info:

I backport SRPM's from Fedora for debugging use, EPEL use, and the debugging of leading edge versions of OpenSSH, Samba, RT, Airflow, and approximately 500 other RPMs. This makes it very awkward to backport tools for publication to the RHEL and CentOS user communities.

RHEL 7 has the same issue, but I can use my RHEL 8 licensed environment for building binaries.

Comment 1 Nico Kadel-Garcia 2019-11-03 01:08:46 UTC
I need to revise this. The SRPM's are possible to extract. RPM's, are using zstd in Fedora 31 and Rawhide, which breaks the "mock" tools for building local RPMs. It also still leaves "rpm2cpio" broken for extracting the components locally for review, so it's still a very desirable feature.

Comment 2 Nico Kadel-Garcia 2019-11-03 18:29:59 UTC
And there is a workaround. mock now enables the use of container images with "podman", which requires 2 steps.

* yum install podman
* Add these lines to /etc/mock/templates/fedora-31.tpl
* * config_opts['use_bootstrap_container'] = True
* * config_opts['use_bootstrap_images'] = True

Comment 3 Nico Kadel-Garcia 2019-11-03 18:39:48 UTC
Close this as a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1715799

Comment 4 Panu Matilainen 2019-11-04 09:38:09 UTC

*** This bug has been marked as a duplicate of bug 1715799 ***


Note You need to log in before you can comment on or make changes to this bug.